| Home | Libraries | People | FAQ | More

## Struct template function_hook

boost::intrusive::function_hook

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<typename Functor>
    struct function_hook {
    };

## Description

This option setter specifies the function object that will be used to convert between values to be inserted in a container and the hook to be used for that purpose.